#%%set_autoconf_version 2.5
#%%set_automake_version 1.6

%def_disable static 1
%def_disable mdns 1
%def_disable hfs 1
%def_disable postgres 1
%def_enable sqlite 1
%def_enable mysql 1
%def_disable odbc 1
%def_enable pam 1
%def_enable server 1
%def_enable lockserver 1
%def_enable pserver 1
%def_enable ext 1
%def_disable fork 1
%def_enable rsh 1
%def_enable gserver 1
%def_enable sserver 1
%def_enable sspi 1
%def_enable enum 1
%def_disable rcs 1


Name: cvsnt
Version: 2.5.04.3236
Release: alt1
License: GPL
Group: Development/Other
Summary: CVSNT - Concurrent version control system
Source: http://www.cvsnt.org/archive/cvsnt-%version.tar.gz
Source1: cvsnt.pam
Source2: cvsnt.xinetd
Source3: cvslockd
Patch0: cvsnt-2.5.04-alt-resolv.patch
Patch1: cvsnt-alt-remove-unused.patch
Patch2: cvsnt-2.5.04-alt-system-ltdl.patch
Patch3: cvsnt-alt-system-ntlm.patch
Patch4: cvsnt-2.5.04-alt-system-pcre.patch
Patch5: cvsnt-alt-system-zlib.patch
Patch6: cvsnt-2.5.04-alt-clibs.patch
Patch7: cvsnt-2.5.04-alt-crypt.patch

Url: http://www.march-hare.com/cvspro

# Obsoletes: cvs
Conflicts: cvs <= 1.11.22
Provides: cvs = %version-%release

BuildRequires: gcc-c++ groff-base libcom_err-devel libexpat-devel
BuildRequires: libpcre-devel zlib-devel
BuildRequires: libssl-devel libltdl-devel libxml2-devel

%{?_enable_mysql:BuildRequires: libMySQL-devel}
%{?_enable_postgres:BuildRequires: postgresql-devel}
%{?_enable_sqlite:BuildRequires: libsqlite3-devel}
%{?_enable_odbc:BuildRequires: libunixODBC-devel}
%{?_enable_pam:BuildRequires: libpam0-devel}
%{?_enable_sspi:BuildRequires: libntlm-devel}
%{?_enable_gserver:BuildRequires: libkrb5-devel}

%description
CVSNT (Concurrent Version System) is a version control system which can
record the history of your files (usually, but not always, source
code). CVSNT only stores the differences between versions, instead of
every version of every file you've ever created. CVSNT also keeps a log
of who, when and why changes occurred.

CVSNT is very helpful for managing releases and controlling the
concurrent editing of source files among multiple authors. Instead of
providing version control for a collection of files in a single
directory, CVSNT provides version control for a hierarchical collection
of directories consisting of revision controlled files.  These
directories and files can then be combined together to form a software
release.

Install the cvsnt package if you need to use a version control system.

CVSNT is much improved from the older CVS and now has many modern
version control features.  See http://www.march-hare.com/cvspro

%package server
Summary: Server CVSNT
Group: Development/Other
Requires: cvsnt
%description server
CVSNT (Concurrent Version System) is a version control system which can
record the history of your files (usually, but not always, source
code). CVSNT only stores the differences between versions, instead of
every version of every file you've ever created. CVSNT also keeps a log
of who, when and why changes occurred.

CVSNT is very helpful for managing releases and controlling the
concurrent editing of source files among multiple authors. Instead of
providing version control for a collection of files in a single
directory, CVSNT provides version control for a hierarchical collection
of directories consisting of revision controlled files.  These
directories and files can then be combined together to form a software
release.

If you need run cvsnt as server, install this package.

%package database-mysql
Summary: Mysql support for CVSNT
Group: Development/Other
Requires: cvsnt
%description database-mysql
CVSNT (Concurrent Version System) is a version control system which can
record the history of your files (usually, but not always, source
code). CVSNT only stores the differences between versions, instead of
every version of every file you've ever created. CVSNT also keeps a log
of who, when and why changes occurred.

CVSNT is very helpful for managing releases and controlling the
concurrent editing of source files among multiple authors. Instead of
providing version control for a collection of files in a single
directory, CVSNT provides version control for a hierarchical collection
of directories consisting of revision controlled files.  These
directories and files can then be combined together to form a software
release.

This is the mysql support library for CVSNT.

%package database-postgresql
Summary: Postgresql support for CVSNT
Group: Development/Other
Requires: cvsnt
%description database-postgresql
CVSNT (Concurrent Version System) is a version control system which can
record the history of your files (usually, but not always, source
code). CVSNT only stores the differences between versions, instead of
every version of every file you've ever created. CVSNT also keeps a log
of who, when and why changes occurred.

CVSNT is very helpful for managing releases and controlling the
concurrent editing of source files among multiple authors. Instead of
providing version control for a collection of files in a single
directory, CVSNT provides version control for a hierarchical collection
of directories consisting of revision controlled files.  These
directories and files can then be combined together to form a software
release.

This is the postgresql support library for CVSNT.

%package database-odbc
Summary: Odbc support for CVSNT
Group: Development/Other
Requires: cvsnt
%description database-odbc
CVSNT (Concurrent Version System) is a version control system which can
record the history of your files (usually, but not always, source
code). CVSNT only stores the differences between versions, instead of
every version of every file you've ever created. CVSNT also keeps a log
of who, when and why changes occurred.

CVSNT is very helpful for managing releases and controlling the
concurrent editing of source files among multiple authors. Instead of
providing version control for a collection of files in a single
directory, CVSNT provides version control for a hierarchical collection
of directories consisting of revision controlled files.  These
directories and files can then be combined together to form a software
release.

This is the odbc support library for CVSNT.

%package database-sqlite
Summary: Sqlite support for CVSNT
Group: Development/Other
Requires: cvsnt
%description database-sqlite
CVSNT (Concurrent Version System) is a version control system which can
record the history of your files (usually, but not always, source
code). CVSNT only stores the differences between versions, instead of
every version of every file you've ever created. CVSNT also keeps a log
of who, when and why changes occurred.

CVSNT is very helpful for managing releases and controlling the
concurrent editing of source files among multiple authors. Instead of
providing version control for a collection of files in a single
directory, CVSNT provides version control for a hierarchical collection
of directories consisting of revision controlled files.  These
directories and files can then be combined together to form a software
release.

This is the sqlite support library for CVSNT.

%package protocol-gserver
Summary: gssapi (gserver) support for CVSNT
Group: Development/Other
Requires: cvsnt
%description protocol-gserver
CVSNT (Concurrent Version System) is a version control system which can
record the history of your files (usually, but not always, source
code). CVSNT only stores the differences between versions, instead of
every version of every file you've ever created. CVSNT also keeps a log
of who, when and why changes occurred.

CVSNT is very helpful for managing releases and controlling the
concurrent editing of source files among multiple authors. Instead of
providing version control for a collection of files in a single
directory, CVSNT provides version control for a hierarchical collection
of directories consisting of revision controlled files.  These
directories and files can then be combined together to form a software
release.

This is the gserver protocol library for CVSNT.

%package protocol-sserver
Summary: SSL (sserver) support for CVSNT
Group: Development/Other
Requires: cvsnt
%description protocol-sserver
CVSNT (Concurrent Version System) is a version control system which can
record the history of your files (usually, but not always, source
code). CVSNT only stores the differences between versions, instead of
every version of every file you've ever created. CVSNT also keeps a log
of who, when and why changes occurred.

CVSNT is very helpful for managing releases and controlling the
concurrent editing of source files among multiple authors. Instead of
providing version control for a collection of files in a single
directory, CVSNT provides version control for a hierarchical collection
of directories consisting of revision controlled files.  These
directories and files can then be combined together to form a software
release.

This is the sserver protocol library for CVSNT.

%package rcs
Summary: RCS compatibility tools of CVSNT project 
Group: Development/Other
Requires: cvsnt
Conflicts: rcs >= 1:5.7
Provides: rcs = %version-%release

%description rcs
CVSNT (Concurrent Version System) is a version control system which can
record the history of your files (usually, but not always, source
code). CVSNT only stores the differences between versions, instead of
every version of every file you've ever created. CVSNT also keeps a log
of who, when and why changes occurred.

CVSNT is very helpful for managing releases and controlling the
concurrent editing of source files among multiple authors. Instead of
providing version control for a collection of files in a single
directory, CVSNT provides version control for a hierarchical collection
of directories consisting of revision controlled files.  These
directories and files can then be combined together to form a software
release.

This is RCS compatibility tools of CVSNT.

%prep
%setup -q
# rm -rf expat libltdl solaris windows-NT pcre osx zlib

# Fix dos-style lines.
r=$(printf '\r')
find contrib -type f -print0 |
xargs -r0 grep -Zl "$r\$" -- |
xargs -r0 sed -i "s/$r\$//g" --
unset r


%patch0 -p1
##%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%__subst 's,-L\$(DESTDIR)\/\$(libdir),,g' Makefile.am
%__subst 's,-L\$(DESTDIR)\/\$(libdir),,g' */Makefile.am
%__subst 's,-L\$(DESTDIR)\/\$(libdir),,g' */*/Makefile.am


%build
export CFLAGS="$CFLAGS -fPIC"
export CXXFLAGS="$CXXFLAGS -fPIC"


%__libtoolize --force
%__aclocal
%__autoconf
%__autoheader
%__automake -a -c --foreign

%autoreconf
#rm -rf libltdl pcre expat zlib

#GSSAPI_INCLUDES=`krb5-config --cflags gssapi | sed 's/-I/-idirafter /'`
#GSSAPI_LIBS=`krb5-config --libs gssapi`
%configure  \
	    %{subst_enable mdns} \
	    --without-howl \
	    %{subst_enable hfs} \
	    %{subst_enable static} \
	    %{subst_enable postgres} \
	    %{subst_enable sqlite} \
	    %{subst_enable mysql} \
	    %{subst_enable odbc} \
	    %{subst_enable pam} \
	    %{subst_enable server} \
	    %{subst_enable lockserver} \
	    %{subst_enable pserver} \
	    %{subst_enable ext} \
	    %{subst_enable fork} \
	    %{subst_enable rsh} \
	    %{subst_enable gserver} \
	    %{subst_enable sserver} \
	    %{subst_enable sspi} \
	    %{subst_enable enum} \
%ifarch x86_64
	    --enable-64bit \
%endif
	    %{subst_enable rcs} 

%make LDFLAGS="-fPIC"

%install
%make_install DESTDIR=%buildroot install
gzip %buildroot%_mandir/man1/*
gzip %buildroot%_mandir/man5/*
%__mkdir_p %buildroot/%_sysconfdir/{pam.d,xinetd.d}
%__mkdir_p %buildroot%_initdir
%__install %SOURCE1 %buildroot/etc/pam.d/%name
%__install %SOURCE2 %buildroot/etc/xinetd.d/%name
%__install %SOURCE3 %buildroot%_initdir/cvslockd

%post server
%post_service cvslockd

%preun server
%preun_service cvslockd

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%doc FAQ README
%doc doc/RCSFILES
%_bindir/%name
%_bindir/cvs
%_bindir/cvsscript
%_libdir/*.so
%dir %_libdir/%name
%_libdir/%name/*
%_mandir/man?/*
%if_enabled mysql
%exclude %_libdir/%name/database/mysql*
%endif
%if_enabled postgres
%exclude %_libdir/%name/database/postgres*
%endif
%if_enabled sqlite
%exclude %_libdir/%name/database/sqlite*
%endif
%if_enabled odbc
%exclude %_libdir/%name/database/odbc*
%endif
%if_enabled gserver
%exclude %_libdir/%name/protocols/gserver*
%endif
%if_enabled sserver
%exclude %_libdir/%name/protocols/sserver*
%endif

%files server
%attr(755,root,root) %dir %_sysconfdir/%name
%config(noreplace) %_sysconfdir/%name/*
%config(noreplace) %_sysconfdir/pam.d/*
%config(noreplace) %_sysconfdir/xinetd.d/*
%config(noreplace) %_initdir/*
%if_enabled lockserver
%_bindir/cvslockd
%endif

%if_enabled rcs
%files rcs
%_bindir/co
%_bindir/rlog
%_bindir/rcsdiff
%endif

%if_enabled mysql
%files database-mysql
%_libdir/%name/database/mysql*
%endif

%if_enabled postgres
%files database-postgresql
%_libdir/%name/database/postgres*
%endif

%if_enabled sqlite
%files database-sqlite
%_libdir/%name/database/sqlite*
%endif

%if_enabled odbc
%files database-odbc
%_libdir/%name/database/odbc*
%endif

%if_enabled gserver
%files protocol-gserver
%_libdir/%name/protocols/gserver*
%endif

%if_enabled sserver
%files protocol-sserver
%_libdir/%name/protocols/sserver*
%endif

%changelog
* Tue Nov 04 2008 Alexey Shabalin <shaba@altlinux.ru> 2.5.04.3236-alt1
- release 2.5.04.3236

* Tue Nov 04 2008 Alexey Shabalin <shaba@altlinux.ru> 2.5.04.3229-alt0.2
- add -fPIC to LDFLAGS
- add patch6 and patch7

* Mon Nov 03 2008 Alexey Shabalin <shaba@altlinux.ru> 2.5.04.3229-alt0.1
- 2.5.04.3229

* Mon Oct 20 2008 Alexey Shabalin <shaba@altlinux.ru> 2.5.03.2382-alt0.4
- change libgssapi-devel to libkrb5-devel
- build with system libs: ltdl,zlib,pcre,ntlm
- add post/postun -p /sbin/ldconfig

* Sun Feb 03 2008 Alexey Shabalin <shaba@altlinux.ru> 2.5.03.2382-alt0.3
- disable fork

* Wed Jun 20 2007 Alexey Shabalin <shaba@altlinux.ru> 2.5.03.2382-alt0.2
- disable rcs

* Sun May 27 2007 Alexey Shabalin <shaba@altlinux.ru> 2.5.03.2382-alt0.1
- initial build for ALTLinux

